use std::io::Cursor;

use criterion::{Criterion, criterion_group, criterion_main};

use ttmp::ttmp_extractor::TtmpExtractor;

fn extract(c: &mut Criterion) {
    let ttmp2 = std::fs::read("schnapps.ttmp2").unwrap();
    c.bench_function("extract", |b| b.iter(|| {
        let mut extractor = TtmpExtractor::new(Cursor::new(&ttmp2)).unwrap();
        extractor.extract_all(|_| {
            Ok(Box::new(Cursor::new(Vec::new())))
        }).unwrap();
    }));
}

criterion_group!(benches, extract);
criterion_main!(benches);
