use serde::{Deserialize, Serialize};

use crate::model::{SelectionType, SimpleMod};

#[derive(Debug, Deserialize, Serialize)]
#[serde(rename_all = "PascalCase")]
pub struct ModOption {
    pub name: String,
    pub description: Option<String>,
    pub image_path: Option<String>,
    pub mods_jsons: Vec<SimpleMod>,
    pub group_name: String,
    pub selection_type: SelectionType,
    pub is_checked: bool,
}
