use serde::{Deserialize, Serialize};

use crate::model::{ModPackPage, SimpleMod};

#[derive(Debug, Deserialize, Serialize)]
#[serde(rename_all = "PascalCase")]
pub struct ModPack {
    pub minimum_framework_version: Option<String>,
    #[serde(rename = "TTMPVersion")]
    pub ttmp_version: String,
    pub name: String,
    pub author: String,
    pub version: String,
    pub description: Option<String>,
    pub url: Option<String>,
    pub mod_pack_pages: Option<Vec<ModPackPage>>,
    pub simple_mods_list: Option<Vec<SimpleMod>>,
}
